Core Library 1.7.0.0 Library containing core utilities and tools for threading, networking, logging, INI and CSV file management etc.

Public Member Functions | Private Attributes | List of all members
core_lib::ini_file::if_private::CommentLine Class Reference

Class to manage a comment line in an INI file. More...

`#include <IniFileLines.h>`

Inheritance diagram for core_lib::ini_file::if_private::CommentLine:

## Public Member Functions
| CommentLine ()=default
| Default constructor.
| CommentLine (const CommentLine &)=default
| Copy constructor.
| CommentLine (const std::string &comment)
| Initialising constructor.
| ~CommentLine () override=default
| Virtual destructor.
CommentLine & | operator= (const CommentLine &)=default
| Copy assignment operator.
| CommentLine (CommentLine &&)=default
| Move constructor.
CommentLine & | operator= (CommentLine &&)=default
| Move assignment operator.
const std::string & | Comment () const
| Get the comment. More...
void | Print (std::ostream &os, bool addLineFeed=true) const override
| Virtual Print function. More...
Public Member Functions inherited from core_lib::ini_file::if_private::Line
| Line (Line const &)=default
| Line (Line &&)=default
Line & | operator= (Line const &)=default
Line & | operator= (Line &&)=default

## Private Attributes
std::string | m_comment {}
| The comment.

## Detailed Description

Class to manage a comment line in an INI file.

## Member Function Documentation

## ◆ Comment()

const std::string & core_lib::ini_file::if_private::CommentLine::Comment | ( |  | ) | const

Get the comment.

Returns
  The comment.

## ◆ Print()

void core_lib::ini_file::if_private::CommentLine::Print | ( | std::ostream & | os,
|  | bool | addLineFeed = `true`
| ) |  | const
| override virtual

Virtual Print function.

Parameters

  [in,out] | os | - Stream to write to.
  [in] | addLineFeed | - (Optional) add a line feed.

Implements core_lib::ini_file::if_private::Line.

The documentation for this class was generated from the following files:

- D:/Projects/CoreLibrary/Include/IniFile/IniFileLines.h
- D:/Projects/CoreLibrary/Source/IniFile/IniFileLines.cpp